Bug 1332215 - pulp-ostree has broken dependencies in the rawhide tree
Summary: pulp-ostree has broken dependencies in the rawhide tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulp-ostree
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1332704
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-02 14:12 UTC by Randy Barlow
Modified: 2016-05-10 11:48 UTC (History)
4 users (show)

Fixed In Version: pulp-ostree-1.1.0-2.fc25 pulp-ostree-1.1.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 11:48:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2016-05-02 14:12:41 UTC
I've been receiving this e-mail:


pulp-ostree has broken dependencies in the rawhide tree:
On x86_64:
        pulp-ostree-plugins-1.1.0-1.fc25.noarch requires python-gnupg
On i386:
        pulp-ostree-plugins-1.1.0-1.fc25.noarch requires python-gnupg
On armhfp:
        pulp-ostree-plugins-1.1.0-1.fc25.noarch requires python-gnupg
Please resolve this as soon as possible.


I'm not sure what is going on, because python-gnupg does use the proper python-provide macro, but we can probably easily depend on python2-gnupg instead to work around the issue.

Comment 1 Randy Barlow 2016-05-03 20:37:50 UTC
I'm going to fix this in f24 as well for good measure, as python2-gnupg is also available there.

Comment 2 Randy Barlow 2016-05-03 20:48:51 UTC
I filed an issue with the python-gnupg package about this:

https://bugzilla.redhat.com/show_bug.cgi?id=1332704

Comment 3 Fedora Update System 2016-05-03 20:50:01 UTC
pulp-ostree-1.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c6b7520d7

Comment 4 Fedora Update System 2016-05-04 14:29:16 UTC
pulp-ostree-1.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c6b7520d7

Comment 5 Randy Barlow 2016-05-09 14:45:57 UTC
The F24 update can't be pushed until https://bodhi.fedoraproject.org/updates/FEDORA-2016-23388517c5 is marked for stable.

Comment 6 Fedora Update System 2016-05-10 11:48:32 UTC
pulp-ostree-1.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.